> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List distribution requests



## OpenAPI

````yaml /openapi.json post /distribution-requests/list
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /distribution-requests/list:
    post:
      tags:
        - distribution-requests
      summary: List distribution requests
      operationId: DistributionRequestController_listDistributionRequests
      parameters:
        - name: statuses
          required: false
          in: query
          description: Status of the distribution request
          schema:
            type: array
            items:
              type: string
              enum:
                - PENDING
                - WAITING_FOR_SIGNATURE
                - APPROVED
                - DENIED
                - REVOKED
        - name: brokerageFirmId
          required: false
          in: query
          description: Brokerage firm the request is attached to
          schema:
            type: string
        - name: productId
          required: false
          in: query
          description: Product id
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListDistributionRequestsBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListDistributionRequestsOutput'
components:
  schemas:
    ListDistributionRequestsBody:
      type: object
      properties:
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/PageInfo'
        order:
          description: the sort options
          allOf:
            - $ref: '#/components/schemas/OrderDto'
    ListDistributionRequestsOutput:
      type: object
      properties:
        data:
          description: the list of items in the page
          type: array
          items:
            $ref: '#/components/schemas/DistributionRequestDto'
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
      required:
        - data
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
    PageInfo:
      type: object
      properties:
        count:
          type: number
          description: the number of items to return
          default: 10
        page:
          type: number
          description: the page to retrieve
          default: 1
    OrderDto:
      type: object
      properties:
        by:
          type: string
          description: the sort key
        direction:
          type: string
          description: the sort direction
      required:
        - by
        - direction
    DistributionRequestDto:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the distribution request
        type:
          type: string
          description: entity type
        status:
          description: Status of the distribution request
          allOf:
            - $ref: '#/components/schemas/DistributionRequestStatus'
        brokerageFirmId:
          type: string
          description: Brokerage firm the request is attached to
        productId:
          type: string
          description: Product the request is for
        createdAt:
          format: date-time
          type: string
          description: Date the request was created
      required:
        - id
        - type
        - status
        - brokerageFirmId
        - productId
        - createdAt
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page
    DistributionRequestStatus:
      type: string
      enum:
        - PENDING
        - WAITING_FOR_SIGNATURE
        - APPROVED
        - DENIED
        - REVOKED
      description: Status of the distribution request

````